Bug 219685 - [NEW PORT] [PATCH] net-mgmt/cacti88: Unofficial/experimental version of net-mgmt/cacti
Summary: [NEW PORT] [PATCH] net-mgmt/cacti88: Unofficial/experimental version of net-m...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Danilo G. Baio
URL: https://reviews.freebsd.org/D11023
Keywords: patch
Depends on:
Blocks:
 
Reported: 2017-05-31 15:43 UTC by Vinícius Zavam
Modified: 2017-06-07 23:51 UTC (History)
1 user (show)

See Also:


Attachments
net-mgmt_cacti88-spine.diff (r416066) (38.25 KB, patch)
2017-05-31 15:43 UTC, Vinícius Zavam
no flags Details | Diff
[POUDRIERE LOG] net-mgmt_cacti88, 10.3-RELEASE/amd64 (33.85 KB, text/x-log)
2017-05-31 15:45 UTC, Vinícius Zavam
no flags Details
[POUDRIERE LOG] net-mgmt_cacti88, 11.0-RELEASE/amd64 (34.25 KB, text/x-log)
2017-05-31 15:46 UTC, Vinícius Zavam
no flags Details
net-mgmt_cacti88.shar (483 bytes, text/plain)
2017-05-31 15:49 UTC, Vinícius Zavam
no flags Details
net-mgmt_cacti88.diff (r416066) (38.25 KB, patch)
2017-05-31 15:50 UTC, Vinícius Zavam
no flags Details | Diff
net-mgmt_cacti88.shar (34.16 KB, text/plain)
2017-06-01 12:36 UTC, Vinícius Zavam
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Vinícius Zavam freebsd_committer 2017-05-31 15:43:18 UTC
Created attachment 183100 [details]
net-mgmt_cacti88-spine.diff (r416066)

Suggestion to keep version 0.8 (0.8.8h) of Cacti available; new releases of Cacti are still unable to work with useful plugins like "GPS Map", and "Network Weathermap".

Patch based on r416066.
Comment 1 Vinícius Zavam freebsd_committer 2017-05-31 15:45:18 UTC
Created attachment 183101 [details]
[POUDRIERE LOG] net-mgmt_cacti88, 10.3-RELEASE/amd64
Comment 2 Vinícius Zavam freebsd_committer 2017-05-31 15:46:12 UTC
Created attachment 183102 [details]
[POUDRIERE LOG] net-mgmt_cacti88, 11.0-RELEASE/amd64
Comment 3 Vinícius Zavam freebsd_committer 2017-05-31 15:49:08 UTC
Created attachment 183103 [details]
net-mgmt_cacti88.shar
Comment 4 Vinícius Zavam freebsd_committer 2017-05-31 15:50:21 UTC
Created attachment 183104 [details]
net-mgmt_cacti88.diff (r416066)
Comment 5 Vinícius Zavam freebsd_committer 2017-06-01 08:50:38 UTC
Mark,
thank you for the update! I totally forgot to name it before - even if it's not a good description for a port (I just use it in my messy repository).

Danilo,
thank you too! there's another patch/port that you might wanna check (net-mgmt/cacti88-spine); https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=219686
Comment 6 Vinícius Zavam freebsd_committer 2017-06-01 12:36:14 UTC
Created attachment 183128 [details]
net-mgmt_cacti88.shar
Comment 7 commit-hook freebsd_committer 2017-06-06 00:47:59 UTC
A commit references this bug:

Author: dbaio
Date: Tue Jun  6 00:47:26 UTC 2017
New revision: 442731
URL: https://svnweb.freebsd.org/changeset/ports/442731

Log:
  Repocopy from net-mgmt/cacti (r416066) -> net-mgmt/cacti88

  Web-driven graphing interface for RRDTool (Old version of net-mgmt/cacti)

  New releases of Cacti are still unable to work with useful plugins like
  "GPS Map" and "Network Weathermap".

  While here, minor fixes and get improvements from the current port.

  PR:		219685
  Submitted by:	Vinicius Zavam <egypcio@googlemail.com>
  Approved by:	garga (mentor)
  Differential Revision:	https://reviews.freebsd.org/D11023

Changes:
  head/net-mgmt/Makefile
  head/net-mgmt/cacti/Makefile
  head/net-mgmt/cacti88/
  head/net-mgmt/cacti88/Makefile
  head/net-mgmt/cacti88/files/patch-include__global.php
  head/net-mgmt/cacti88/files/patch-include__global_settings.php
  head/net-mgmt/cacti88/files/patch-install__index.php
  head/net-mgmt/cacti88/files/patch-lib__functions.php
  head/net-mgmt/cacti88/files/patch-scripts__diskfree.pl
  head/net-mgmt/cacti88/files/patch-scripts__ping.pl
  head/net-mgmt/cacti88/pkg-plist
Comment 8 Danilo G. Baio freebsd_committer 2017-06-06 01:14:47 UTC
Committed, thanks.
Comment 9 commit-hook freebsd_committer 2017-06-07 23:51:41 UTC
A commit references this bug:

Author: dbaio
Date: Wed Jun  7 23:51:00 UTC 2017
New revision: 50334
URL: https://svnweb.freebsd.org/changeset/doc/50334

Log:
  Add Vinicius Zavam to contributors for net-mgmt/cacti88

  He is also the maintainer of net-mgmt/cacti88-spine

  PR:		219685
  Approved by:	garga (mentor)
  Differential Revision:	https://reviews.freebsd.org/D11070

Changes:
  head/en_US.ISO8859-1/articles/contributors/contrib.additional.xml